%define subrel 1

# mkinitrd %version-%release-plus-1
%define mkinitrd_version 6.0.93
%define mkinitrd_release %mkrel 28

Summary:	Next generation initrd image generator
Name:		dracut
Version:	017
Release:	%mkrel 16
Group:		System/Base
License:	GPLv2+
URL:		https://dracut.wiki.kernel.org/
Source0:	http://www.kernel.org/pub/linux/utils/boot/dracut/%{name}-%{version}.tar.xz
Source1:	50-%_real_vendor.conf
Source2:	logo.png
# the mgalive module used by Mageia livecds
Source3:	mgalive-genrules.sh
Source4:	mgalive-parse.sh
Source5:	mgalive-root.sh
Source6:	module-setup.sh

# Upstream fixes
Patch0100: 0100-30convertfs-convertfs.sh-use-hardlinks-for-inter-usr.patch
Patch0101: 0101-98usrmount-mount-usr.sh-ignore-comments-in-fstab.patch
Patch0102: 0102-fix-apply-live-updates-failing-because-of-lib-symlin.patch
Patch0103: 0103-Do-not-mount-bind-run-anymore.patch
Patch0104: 0104-98selinux-selinux-loadpolicy.sh-use-mount-rbind-for-.patch
Patch0105: 0105-95fstab-sys-mount-sys.sh-removed-check-for-existing-.patch
Patch0106: 0106-95fstab-sys-mount-sys.sh-removed-bashism.patch
Patch0107: 0107-udevd-moved-to-lib-systemd-systemd-udevd.patch
Patch0108: 0108-udev-rules-module-setup.sh-fixed-udevd-location.patch
Patch0109: 0109-99base-init.sh-kill-systemd-udevd-instead-of-udevd.patch
Patch0110: 0110-udev-rules-check-for-systemd-udevd-symlink-already-p.patch
Patch0111: 0111-30convertfs-convertfs.sh-correct-check-for-usr-bin.patch
Patch0112: 0112-dracut.sh-create-the-initramfs-non-world-readable.patch


# Mandriva/Mageia Patches
Patch0500: 0500-Plymouth-customisations-for-Mageia.patch
Patch0501: 0501-Use-the-Mageia-naming-for-initrd-files.patch
Patch0502: 0502-dm-md-Only-include-UUIDs-once-in-the-command-line.patch
Patch0503: 0503-Handle-upgrades-better.patch
Patch0504: 0504-plymouth-xzgrep-returns-bogus-runlevels-when-a-match.patch
Patch0506: 0506-network-Include-70-persistent-net.rules-in-the-netwo.patch
Patch0507: 0507-Do-not-run-plymouth-hook-if-the-binary-is-missing.patch
Patch0508: 0508-man-Fix-add-fstab-option-in-man-page.patch
Patch0509: 0509-Add-a-new-add-device-option.patch
Patch0510: 0510-Parse-and-include-the-ide-controller-and-scsi_hostad.patch
Patch0511: 0511-lvm-Ensure-LVM-is-initialised-in-non-hostonly-mode.patch
Patch0512: 0512-Show-a-warning-and-drop-to-emergecy-shell-when-usr-c.patch
Patch0513: 0513-resume-Ensure-we-remove-the-timout-job-when-we-find-.patch
Patch0514: 0514-rootfs-block-Support-lilo-style-device-numbers.patch
Patch0515: 0515-90kernel-modules-module-setup.sh-install-xhci-hcd.patch
Patch0516: 0516-i18n-Run-console_init-prior-to-udev-startup.patch
Patch0517: 0517-plymouth-Use-latest-plymouth-s-populate-script.patch
Patch0518: 0518-mageia-Add-a-convertfs-hacks-for-packaging-quirks.patch


Requires(pre):	filesystem
Requires:	udev
Requires:	util-linux-ng
Requires:	kmod
Requires:	e2fsprogs
Requires:	cpio
Requires:	coreutils
Requires:	findutils
Requires:	binutils
Requires:	grep
Requires:	mktemp
Requires:	mount
Requires:	bash
Requires:	dash
Requires:	kbd
Requires:	tar
Requires:	gzip
Requires:	bzip2
Requires:	file
Requires:	module-init-tools
Requires:	bridge-utils
Requires:	initscripts
Requires(pre):	plymouth
Requires:	plymouth
Requires:	plymouth(system-theme)
Requires:	bootloader-utils
Requires(post,postun):	update-alternatives
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Provides:	mkinitrd = %mkinitrd_version-%mkinitrd_release
Conflicts:	mkinitrd < 6.0.93-27
Conflicts:	nash < 6.0.93-27
# plymouth-populate-initrd in old plymouth-scripts packages fails to find
# dracut-functions
Conflicts:	plymouth-scripts < 0.8.4-0.20111214.2
Conflicts:	bootsplash < 3.3.9-1
BuildArch:	noarch
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	dash
BuildRequires:	bash

%description
Dracut contains tools to create a bootable initramfs for 2.6 Linux kernels.
Unlike existing implementations, dracut does hard-code as little as possible
into the initramfs. Dracut contains various modules which are driven by the
event-based udev. Having root on MD, DM, LVM2, LUKS is supported as well as
NFS, iSCSI, NBD, FCoE with the dracut-network package.

%prep
%setup -q
%apply_patches
# (cg) We don't want backup file (todo: make apply_patches accept a -n argument to not do backups)
find -name "*.[0-9][0-9][0-9][0-9]" -delete

%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}
%makeinstall_std \
  sbindir=/sbin \
  sysconfdir=%{_sysconfdir} \
  systemdsystemunitdir=%{_unitdir} \
  mandir=%{_mandir}

install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/dracut.conf.d
install -m 755 -d %{buildroot}%{_datadir}/dracut
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/dracut/logo.png

# install mgalive module
install -m 755 -d %{buildroot}%{_prefix}/lib/dracut/modules.d/90mgalive
install -m 755 %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{buildroot}%{_prefix}/lib/dracut/modules.d/90mgalive/

# bluca remove patch backup files
find %{buildroot} -name \*.\*.orig -exec rm {} \;

# fix permission of module files
chmod +x %{buildroot}%{_prefix}/lib/dracut/modules.d/*/*.sh

mkdir -p %{buildroot}/boot/dracut
mkdir -p %{buildroot}%{_var}/lib/dracut/overlay

mv %{buildroot}%{_bindir}/lsinitrd %{buildroot}%{_bindir}/lsinitrd-dracut
mv %{buildroot}%{_bindir}/mkinitrd %{buildroot}%{_bindir}/mkinitrd-dracut

cat > README.urpmi << EOF
dracut is the default mkinitrd replacement in %_real_vendor

If you really want to use old mkinitrd instead of dracut run
update-alternatives --set mkinitrd /sbin/mkinitrd-mkinitrd

NOTE!
We only support the use of mkinitrd with initscripts.
If you use systemd (the default setup) you _must_ use dracut.
EOF

%clean
rm -rf %{buildroot}

%post
update-alternatives --install /sbin/mkinitrd mkinitrd %{_bindir}/mkinitrd-dracut 110 || :
update-alternatives --install /sbin/lsinitrd lsinitrd %{_bindir}/lsinitrd-dracut 110 || :

# (cg) Ensure that any resume swap partitions that are on LVM or raid are activated
if [ ! -f %{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf ]; then
  touch %{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf
  if grep -q " resume=" /proc/cmdline; then  
    dev="$(sed 's,.* resume=\([^ ]*\).*,\1,' /proc/cmdline)"
    if [ -n "$dev" ]; then
      echo "add_device+=\"$dev\"" >%{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf
    fi
  fi
fi


%postun
[ ! -e %{_bindir}/mkinitrd-dracut ] && update-alternatives --remove mkinitrd %{_bindir}/mkinitrd-dracut || :
[ ! -e %{_bindir}/lsinitrd-dracut ] && update-alternatives --remove lsinitrd %{_bindir}/lsinitrd-dracut || :

%posttrans
# (Anssi 12/2011) workaround recent broken postun which could've removed the
# alternatives - this can be removed in a few months or so since it was a
# cauldron-only issue
update-alternatives --install /sbin/mkinitrd mkinitrd %{_bindir}/mkinitrd-dracut 110 || :
update-alternatives --install /sbin/lsinitrd lsinitrd %{_bindir}/lsinitrd-dracut 110 || :

%triggerpostun -- dracut < 023-11
# (cg) Fix world writable initrds due to CVE-2012-4453 (mga#7806)
chmod go-r /boot/initrd-3*.img ||:

%files
%doc README.generic README.modules README.kernel HACKING TODO AUTHORS 
%doc README.urpmi
%dir /boot/dracut
%dir %{_datadir}/dracut
%dir %{_var}/lib/dracut
%dir %{_var}/lib/dracut/overlay
%dir %{_prefix}/lib/dracut
%config(noreplace) %{_sysconfdir}/dracut.conf
%dir %{_sysconfdir}/dracut.conf.d
%ghost %attr(644,root,root) %config(noreplace) %{_sysconfdir}/dracut.conf.d/51-mageia-resume.conf
%{_sysconfdir}/dracut.conf.d/50-%_real_vendor.conf
%{_bindir}/dracut
%{_bindir}/dracut-gencmdline
%{_bindir}/dracut-catimages
%{_bindir}/lsinitrd-dracut
%{_bindir}/mkinitrd-dracut
%{_prefix}/lib/dracut/dracut-functions.sh
%{_prefix}/lib/dracut/dracut-functions
%{_prefix}/lib/dracut/dracut-initramfs-restore
%{_prefix}/lib/dracut/modules.d
%{_prefix}/lib/dracut/dracut-logger.sh
%{_unitdir}/*.service
%{_unitdir}/*/*.service
%{_datadir}/dracut/logo.png
%{_mandir}/man8/dracut*.8*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man5/dracut.conf.5*


%changelog

* Mon Oct 15 2012 colin <colin> 017-16.1.mga2
+ Revision: 306840
- Fix CVE-2012-4453: world readable initrds containing potentially sensitive info (mga#7806)
- Some more fixes for the usrmove
- Add a couple quirks to the convertfs script to deal with some packaging oddities in Mageia
- Add patch to ensure correct population with latest plymouth
- Add upstream patches to handle udevd->systemd/udevd rename (with fallback)
- require kmod instead of module-init-tools
- Initialise i18n on tty0 as early as possible (mga#5192)

* Sun May 20 2012 blino <blino> 017-15.mga2
+ Revision: 235951
- do not force -o network from mkinitrd-dracut (move it into config instead), it makes omit_dracutmodules from config ineffective

* Thu May 10 2012 blino <blino> 017-14.mga2
+ Revision: 235213
- install xhci-hcd to allow booting and using kbd devices from USB 3.0

* Sun May 06 2012 colin <colin> 017-13.mga2
+ Revision: 234826
- Avoid false error when not resuming from hibernate (mga#5769)
- Support lilo style root=NNN syntax (where NNN is major*256 + minor)

* Sat Apr 28 2012 colin <colin> 017-12.mga2
+ Revision: 234160
- Drop to debug shell when we fail to mount /usr
- Fix previous patch relating to LVM activation on non-hostonly initrds
- Ensure LVM is initialised in non-hostonly mode (mga#4562)

* Sat Apr 28 2012 tmb <tmb> 017-11.mga2
+ Revision: 233675
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Thu Apr 26 2012 tmb <tmb> 017-9.mga2
+ Revision: 233314
- conflict bootsplash < 3.3.9-1 to ensure working upgrade (#5593)

* Sun Apr 22 2012 tmb <tmb> 017-8.mga2
+ Revision: 232629
- add mgalive module used by livecds

* Sun Apr 22 2012 colin <colin> 017-7.mga2
+ Revision: 232569
- Include Mageia specific ide-controller/scsi_hostadapter modules (mga#4997)

* Thu Apr 19 2012 colin <colin> 017-6.mga2
+ Revision: 231790
- Always include ahci kernel module (mga#4364)

* Sat Apr 14 2012 colin <colin> 017-5.mga2
+ Revision: 230804
- Ensure config for resume swap partition is written on upgrade

* Sat Apr 14 2012 colin <colin> 017-4.mga2
+ Revision: 230797
- Add a couple minor cherry picks.
- Fix manpage reference
- Add new option to allow specific activation of partitions (e.g. for resume support on LVM)
- Don't try and run plymouth if remove-boot-splash script has been run on generated initrd.

* Mon Apr 09 2012 colin <colin> 017-3.mga2
+ Revision: 229831
- Ensure systemd units to re-enter the initrd on shutdown/reboot are installed (mga#5184)
- Fix initrd naming when re-entering inird on shutdown/reboot (mga#5184)

* Thu Mar 22 2012 colin <colin> 017-2.mga2
+ Revision: 225579
- Various upstream cherry picks.

* Sat Feb 25 2012 colin <colin> 017-1.mga2
+ Revision: 214473
- New version: 017
- Add patch to skip the (10meg) network module when running via mkinitrd wrapper.
- Include 70-persistent-net.rules when the network module is included.

* Fri Feb 24 2012 colin <colin> 016-2.mga2
+ Revision: 213871
- Add upstream patches
- Drop upstream applied patches
- Fix double inclusion of dm/mdraid device uuid's in hostonly mode
- Build a full (non hostonly) initrd when not booted via dracut (mga#4562)
- Fix KMS module inclusion due to broken xzgrep return values (mga#4559)

* Thu Feb 16 2012 colin <colin> 016-1.mga2
+ Revision: 209702
- New version: 016
- Drop upstream patches

* Thu Feb 16 2012 colin <colin> 015-3.mga2
+ Revision: 209441
- Fix LVM detection on /usr

  + tmb <tmb>
    - add info in README.urpmi that systemd users must use dracut

* Tue Feb 14 2012 colin <colin> 015-2.mga2
+ Revision: 208902
- Update to git master

* Tue Feb 14 2012 colin <colin> 015-1.mga2
+ Revision: 208824
- New version: 015
- Drop patches applied upstream
- Drop patches that have been solved differently upstream
- Fix paths (/usr/bin rather than /usr/sbin)
- Fix typo

* Mon Jan 23 2012 dmorgan <dmorgan> 014-16.mga2
+ Revision: 200175
- Own %%{_prefix}/lib/dracut

* Mon Jan 16 2012 tmb <tmb> 014-15.mga2
+ Revision: 196776
- adjust mkinitrd provides so it has higher rel than current mkinitrd

* Sun Jan 15 2012 tmb <tmb> 014-14.mga2
+ Revision: 196542
- dont obsolete mkinitrd as we will keep it during Mageia 2

* Wed Jan 11 2012 blino <blino> 014-13.mga2
+ Revision: 194858
- 90kernel-modules/module-setup.sh: do not hang reading on stdout when rootfs type is unknown

* Sun Jan 08 2012 colin <colin> 014-12.mga2
+ Revision: 193562
- More dmsquash fixes.

* Sun Jan 08 2012 colin <colin> 014-11.mga2
+ Revision: 193534
- Fix some issues with the dmsquash module.

* Sat Dec 31 2011 colin <colin> 014-10.mga2
+ Revision: 189295
- Fix boot failure when invalid device given in resume= arg.
- Fix bogus 'Root device not found' error message

* Tue Dec 27 2011 colin <colin> 014-9.mga2
+ Revision: 187991
- Fix btrfs by including crc32c module (mga#3214)

* Mon Dec 19 2011 colin <colin> 014-8.mga2
+ Revision: 184214
- Disable README.urpmi for now until we (perhaps) re-enable mkinitrd

* Mon Dec 19 2011 anssi <anssi> 014-7.mga2
+ Revision: 184125
- ensure alternatives existence in %%posttrans for now, as packages from
  014-1.mga2 to 014-3.mga2 wrongly remove the alternative in their
  %%postun

* Mon Dec 19 2011 anssi <anssi> 014-6.mga2
+ Revision: 184124
- conflict with old plymouth-scripts which may cause initramfs files to
  be truncated when used in combination with old bootsplash package

* Sun Dec 18 2011 colin <colin> 014-5.mga2
+ Revision: 183965
- Obsolete mkinitrd and force dracut on everyone.

* Sun Dec 18 2011 anssi <anssi> 014-4.mga2
+ Revision: 183845
- actually fix the paths in %%postun, a typo was left in by the previous
  release (fixes inadvertent removal of the dracut alternative)

* Sun Dec 18 2011 anssi <anssi> 014-3.mga2
+ Revision: 183840
- fix paths in %%postun that were forgotten in 014-1.mga2 (fixes inadvertent
  removal of the dracut alternative)

* Sat Dec 17 2011 colin <colin> 014-2.mga2
+ Revision: 182908
- Find symlinks in modprobe.d folder
- Install and programs needed by udev rules.

* Thu Dec 15 2011 colin <colin> 014-1.mga2
+ Revision: 182344
- Fix patch numbering
- Fix fsck on /usr partions
- Fix up LVM on /usr detection patch
- New version: 014
- Drop upstream/merged patches
- Drop UUID/LABEL lookup patch (different upstream fix)
- Fix logo install
- Fix up paths due to upstream relocation
- * Add a patch that fixes searching for mounts in /proc/self/mountinfo when there are nfs/btrfs mounts active
  * Check for LVM on /usr as well as /

* Sat Dec 03 2011 colin <colin> 013-6.mga2
+ Revision: 175507
- * Add a (temporary) patch to lookup device names when mounting /usr via UUID/LABEL
  * Always include KMS modules even if they are not currently loaded (Anssi)

* Fri Dec 02 2011 colin <colin> 013-5.mga2
+ Revision: 175109
- * Drop dracut.conf patch in favour of our vendor conf in dracut.conf.d
  * Split out mkinitrd option help to separate patch
  * Fix initramfs vs. initrd naming more thoroughly
  * Fix /usr mounting due to variable name typo
  * Rename vendor conf file (dracut in the name is superfluous
- Remove Fedora patch (it's no longer needed or used on further investigation)
- Rename and update Fedora patch.

* Thu Dec 01 2011 colin <colin> 013-4.mga2
+ Revision: 174823
- Do not include backup files in the package.

* Wed Nov 30 2011 colin <colin> 013-3.mga2
+ Revision: 174621
- * Drop aufs patch (the kernel module does not exist now)
  * Drop bootchart tweaks (seems no longer needed)
  * Cut back on some Mandriva mods (such as including several modules by default)
  * Do not document ignored mkinitrd wrapper options
  * Add more git patches to bring us up to current git master

* Thu Oct 27 2011 dmorgan <dmorgan> 013-2.mga2
+ Revision: 158895
- Sync with fedora patches
- Remove mandriva occurencies

  + colin <colin>
    - Remove unused patch.

* Fri Oct 21 2011 colin <colin> 013-1.mga2
+ Revision: 157144
- imported package dracut


* Sun Oct 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 013-2mdv2012.0
+ Revision: 703941
- Obsolete old verions
- pre requires filesystem

* Wed Aug 24 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 013-1
+ Revision: 696536
- update to new version 013
- update links for URLS
- rediff patches 19 and 101
- drop patch 22 not neede at all
- disable patch 100 (needed ony for build iso ?)
- provide better description
- add dash and bash to buildrequires

* Mon Aug 15 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 011-2
+ Revision: 694636
- fix install of files in /etc/ld.so.conf.d (mdv #63914)

* Sat Jul 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 011-1
+ Revision: 691214
- update to new version 011
- rediff patches 0, 26 and 100
- disable patches 22 and 101

* Tue Jun 28 2011 Alex Burmashev <burmashev@mandriva.org> 010-6
+ Revision: 687677
- Temporarily enabled livecd patch to boot RC1 images

* Wed Jun 15 2011 Luca Berra <bluca@mandriva.org> 010-5
+ Revision: 685375
- removed P100 (dracut-010-rosa-livecdfix.patch) which broke dracut
- make dracut the default mkinitrd program

* Mon Apr 18 2011 Alex Burmashev <burmashev@mandriva.org> 010-4
+ Revision: 655817
- Fix for dracut initrd creation
- workaround release up
- a very bad workaround

* Mon Apr 18 2011 Anssi Hannula <anssi@mandriva.org> 010-2
+ Revision: 654813
- fix a typo introduced in patch rediff of previous commit

* Sun Apr 17 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 010-1
+ Revision: 654778
- update to new version 010
- rediff patches 5, 22, 26 and 100
- drop patches 23, 24 and 25
- fix file list

* Sun Apr 17 2011 Anssi Hannula <anssi@mandriva.org> 008-6
+ Revision: 654052
- handle gzip compressed KMS kernel modules

* Mon Mar 14 2011 Alex Burmashev <burmashev@mandriva.org> 008-5
+ Revision: 644610
- Fixed aufs mount patch

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 008-4
+ Revision: 640430
- rebuild to obsolete old packages

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-3
+ Revision: 638675
- P25: fix P24 (submitted upstream)

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-2
+ Revision: 638631
- P24: default to UTF-8 on console unless disabled (GIT)
- P23: fix i18n parsing in hostonly mode (GIT)
- P22: create flag if plymouth was started (GIT)
- P19: fix typo

* Thu Feb 17 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-1
+ Revision: 638264
- S3: update for new i18n module
- simplify P15

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Update patches to dracut 008 api.
      Drop P18 and P20, no longer needed.

* Wed Jan 26 2011 Eugeni Dodonov <eugeni@mandriva.com> 007-6
+ Revision: 633069
- P21: add support for mounting aufs (Ivan Milov <ivan.milov@rosalab.ru>)
- P100: add support for building live iso images (Andrew Shubar <andrew.shubin@rosalab.ru>)

* Sun Sep 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 007-3mdv2011.0
+ Revision: 576017
- Patch20: add path check for rsyslog libraries

* Wed Aug 11 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-2mdv2011.0
+ Revision: 569111
- patch19 and source3: fix unicode keymap with new i18n module
- patch18: fix bootchart module installation
- patch1: revert to original behaviour - install when bootchart RPM
  is present
- do not unconditionally enable bootchart
- add source3 - default mandriva config. For now it enabled bootchart
- delete source1, source2 - redundant, already included upstream

* Mon Aug 09 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-1mdv2011.0
+ Revision: 568172
- package dracut.kernel(7) man page
- add BuildRequires for new man page generation from XML source
- remove patches 1, 16, 17 - integrated upstream
- new version

* Thu Aug 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-3mdv2011.0
+ Revision: 566440
- patch17: fix ahci detection in kernel 2.6.35

* Wed Aug 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-2mdv2011.0
+ Revision: 565664
- patch16: fix modules check in hostonly mode

* Sat Jul 10 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-1mdv2011.0
+ Revision: 550022
- new version; rebase patches

* Mon Mar 22 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 005-1mdv2010.1
+ Revision: 526382
- remove patches 2, 999 - merged upstream
- new version

* Fri Mar 19 2010 Frederic Crozat <fcrozat@mandriva.com> 004-6mdv2010.1
+ Revision: 525289
- Add source1/2 : add support for bootchart2

* Sun Mar 07 2010 Luca Berra <bluca@mandriva.org> 004-5mdv2010.1
+ Revision: 515443
- update to latest git
- remove patches merged upstream
- add two patches not yet merged

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-4mdv2010.1
+ Revision: 512870
- patch17: fix boot without resume= (#57924)
- update patch16 with official upstream version

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 004-3mdv2010.1
+ Revision: 512825
- Patch16: check for multipath existence, if not then die (mdvbz #57919)

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - change postun for compliance with alternatives policy

* Sat Feb 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-2mdv2010.1
+ Revision: 501426
- add alternatives for lsinitrd

  + Jani Välimaa <wally@mandriva.org>
    - escape 'uname -r' in README.urpmi

* Tue Feb 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-1mdv2010.1
+ Revision: 499727
- package new man pages and lsinitrd-dracut
- patch15: mkinitrd-dracut; remove it as source1 (it is now upstream)
- remove patches 1-12: integrated upstream
- new version

* Sun Jan 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-6mdv2010.1
+ Revision: 498683
- patch14: pass init arguments from commmand line to real init

* Sun Jan 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-5mdv2010.1
+ Revision: 492577
- patch13: fix firmware loading with current udev

* Sun Jan 10 2010 Luca Berra <bluca@mandriva.org> 003-4mdv2010.1
+ Revision: 488601
- add support for uswsuspend from Andrey
- ensure module scripts are executable

* Sat Jan 09 2010 Luca Berra <bluca@mandriva.org> 003-3mdv2010.1
+ Revision: 487939
- use alternatives for mkinitrd-dracut, and conflict with mkinitrd < mkinitrd-6.0.93-10mnb2
- remove -H from mkinitrd-dracut, it is better left in the configuration file
- modify the default configuration file to enable host-only mode and add some generic ata drivers.
- add console unicode patch from Andrey

* Tue Dec 29 2009 Luca Berra <bluca@mandriva.org> 003-2mdv2010.1
+ Revision: 483256
- split mdv patch, change terminfo and kbd patches in order to push upstream
- install umount when needed
- disable selinux
- fix standard error in emergency shell and set prompt to indicate what stage we are
- include patches from git
 - multipath: supress warnings, if multipath not installed on system
 - cryptroot-ask.sh:  s/==/=/g (bug #542081)
 - plymouth-pretrigger: force initializing of console (bug #526570)

* Mon Dec 28 2009 Luca Berra <bluca@mandriva.org> 003-1mdv2010.1
+ Revision: 483155
- added wrapper to emulate mkinitrd syntax
- honor add_drivers when making an host-only initrd
- add support for compressed kernel modules
- build fixes

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 003

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 002-4mdv2010.1
+ Revision: 465469
- set requires(pre) on plymouth

* Fri Oct 09 2009 Frederic Crozat <fcrozat@mandriva.com> 002-3mdv2010.0
+ Revision: 456372
- Fix README.urpmi

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 002-2mdv2010.0
+ Revision: 456028
- Do no rely on old plymouth-theme-mdv

* Fri Sep 18 2009 Frederic Crozat <fcrozat@mandriva.com> 002-1mdv2010.0
+ Revision: 444370
- Release 002
- Remove merged patches

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-2mdv2010.0
+ Revision: 432951
- Patch0: one more fix

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-1mdv2010.0
+ Revision: 432801
- update to new version 001
- Patch0: rediff
- add three patches from Fedora
- update to new version 001

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2010.0
+ Revision: 422367
- update to new version 0.9
- rediff patch0
- add more critical requires

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2010.0
+ Revision: 421772
- switch_root is conflicting against util-linux-ng one, so remove it
- Patch0: adapt scripts to mdv specifications
- make it noarch (because switch_root is gone)
- provide REAME.urpmi

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-1mdv2010.0
+ Revision: 421733
- import dracut

